Subject: Darwin presentation follow up

From: Ray Schuster <[email-masked]>
Date: Tue, 6 Mar 2007 13:48:40 -0800 (PST)

Hi, David,

I really enjoyed your presentation Saturday night at
the Humanist Roots group meeting.  Too bad we had a
time constraint.

I want to support the Darwin Day idea with friends and
family, and would like a little help.  Can you suggest
three of four books on Darwin and his work that best
capture him and his significance?

In addition to personal reading, I'd like to provide a
reading list to others as a way of building support
for the "Day" concept.

Thanks for any help you can provide.

Ray